<?php
/***************************************************************************
 *                            mod_img_posting.php
 *                            -------------------
 *   begin                : 2007/12/03
 *   copyright            : Mighty Gorgon
 *   version              : 1.0.0 (2007/12/03)
 *   website              : http://www.mightygorgon.com
 *   email                : mightygorgon@mightygorgon.com
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

if ( !defined('IN_PHPBB') )
{
	die('Hacking attempt');
}

include_once( $phpbb_root_path . 'includes/functions_mods_settings.' . $phpEx );
$mod_name = '40_IMG_Posting';

$config_fields = array(

	'auth_view_pic_upload' => array(
		'lang_key' => 'IP_auth_view_pic_upload',
		'type' => 'LIST_RADIO_BR',
		'default' => 'CFG_REG',
		'values' => array(
			'CFG_ALL' => AUTH_ALL,
			'CFG_REG' => AUTH_REG,
			'CFG_MOD' => AUTH_MOD,
			'CFG_ADMIN' => AUTH_ADMIN,
			),
		),

	'enable_postimage_org' => array(
		'lang_key' => 'IP_enable_postimage_org',
		'type' => 'LIST_RADIO',
		'default' => 'No',
		'values' => $list_yes_no,
		),

	'gd_version' => array(
		'lang_key' => 'IP_gd_version',
		'type' => 'LIST_RADIO',
		'default' => 'GD_2',
		'values' => array(
			'GD_0' => 0,
			'GD_1' => 1,
			'GD_2' => 2,
			),
		),

	'show_img_no_gd' => array(
		'lang_key' => 'IP_show_img_no_gd',
		'type' => 'LIST_RADIO',
		'default' => 'Yes',
		'values' => $list_yes_no,
		),

	'thumbnail_posts' => array(
		'lang_key' => 'IP_thumbnail_posts',
		'explain' => 'IP_thumbnail_posts_explain',
		'type' => 'LIST_RADIO',
		'default' => 'Yes',
		'values' => $list_yes_no,
		),

	'show_pic_size_on_thumb' => array(
		'lang_key' => 'IP_show_pic_size_on_thumb',
		'type' => 'LIST_RADIO',
		'default' => 'No',
		'values' => $list_yes_no,
		),

	'thumbnail_lightbox' => array(
		'lang_key' => 'IP_thumbnail_lightbox',
		'explain' => 'IP_thumbnail_lightbox_explain',
		'type' => 'LIST_RADIO',
		'default' => 'Yes',
		'values' => $list_yes_no,
		),

	'thumbnail_cache' => array(
		'lang_key' => 'IP_thumbnail_cache',
		'type' => 'LIST_RADIO',
		'default' => 'Yes',
		'values' => $list_yes_no,
		),

	'thumbnail_quality' => array(
		'lang_key' => 'IP_thumbnail_quality',
		'type' => 'VARCHAR',
		'default' => '75',
		),

	'thumbnail_size' => array(
		'lang_key' => 'IP_thumbnail_size',
		'type' => 'VARCHAR',
		'default' => '400',
		),

);

init_board_config($mod_name, $config_fields);

?>